; The Chronos.cmd file.
;
;-| Button Remapping |-----------------------------------------------------
; This section lets you remap the player's buttons (to easily change the
; button configuration). The format is:
;   old_button = new_button
; If new_button is left blank, the button cannot be pressed.
[Remap]
x = x
y = y
z = 
a = a
b = b
c = 
s =
;-| Default Values |-------------------------------------------------------
[Defaults]
; Default value for the "time" parameter of a Command. Minimum 1.
command.time = 15

; Default value for the "buffer.time" parameter of a Command. Minimum 1,
; maximum 30.
command.buffer.time = 5

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "start"
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

;-| Super Motions |--------------------------------------------------------
;
[Command]
name = "Stasis Activator"
command = ~D, DB, B, x
time = 15

[Command]
name = "Stasis Activator"
command = ~D, DB, B, y
time = 15

[Command]
name = "Small Scale Teleportation"
command = D, ~D, x
time = 10

[Command]
name = "Small Scale Teleportation"
command = D, ~D, y
time = 10

[Command]
name = "Matter Phasing"
command = ~D, DB, B, a
time = 15

[Command]
name = "Matter Phasing"
command = ~D, DB, B, b
time = 15

[Command]
name = "Matter Phasing2"
command = ~D, DF, F, a
time = 15

[Command]
name = "Matter Phasing2"
command = ~D, DF, F, b
time = 15

[Command]
name = "Quantum Doubler"
command = ~D, DB, B, D, DB, B, x
time = 25

[Command]
name = "Quantum Doubler"
command = ~D, DB, B, D, DB, B, y
time = 25

[Command]
name = "Phase Out"
command = ~D, DF, ~F, B, a
time = 25

[Command]
name = "Phase Out"
command = ~D, DF, ~F, B, b
time = 25

;-| Special Motions |------------------------------------------------------

[Command]
name = "High Jump"
command = ~D,U
time = 5

[Command]
name = "High Jump"
command = ~D,UF
time = 5

[Command]
name = "High Jump"
command = ~D,UB
time = 5

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = x+y
time = 1

;---------------------------------------------------------------------------
; 2. State entry
; --------------
; This is where you define what commands bring you to what states.
;
; Each state entry block looks like:
;   [State -1, Label]           ;Change Label to any name you want to use to
;                               ;identify the state with.
;   type = ChangeState          ;Don't change this
;   value = new_state_number
;   trigger1 = command = command_name
;   . . .  (any additional triggers)
;
; - new_state_number is the number of the state to change to
; - command_name is the name of the command (from the section above)
; - Useful triggers to know:
;   - statetype
;       S, C or A : current state-type of player (stand, crouch, air)
;   - ctrl
;       0 or 1 : 1 if player has control. Unless "interrupting" another
;                move, you'll want ctrl = 1
;   - stateno
;       number of state player is in - useful for "move interrupts"
;   - movecontact
;       0 or 1 : 1 if player's last attack touched the opponent
;                useful for "move interrupts"
;
; Note: The order of state entry is important.
;   State entry with a certain command must come before another state
;   entry with a command that is the subset of the first.
;   For example, command "fwd_a" must be listed before "a", and
;   "fwd_ab" should come before both of the others.
;
; For reference on triggers, see CNS documentation.
;
; Just for your information (skip if you're not interested):
; This part is an extension of the CNS. "State -1" is a special state
; that is executed once every game-tick, regardless of what other state
; you are in.


; Don't remove the following line. It's required by the CMD standard.
[Statedef -1]

;===========================================================================
[State -1, Countdown]
type = varset
triggerall = ishelper(666)
trigger1 = enemy, stateno != 3053
trigger2 = movetype = H
var(29) = 0

[State -1, Countdown]
type = null
triggerall = ishelper(666)
trigger1 = var(29) > 0
trigger1 = var(29) := (var(29) - 1)

[State -1, Ctrlset]
type = ctrlset
trigger1 = ishelper(666)
value = 0
ignorehitpause = 1

[State -1, Juggle]
type = assertspecial
trigger1 = ishelper(666)
flag = nojugglecheck
ignorehitpause = 1

[State -1, Trans]
type = trans
trigger1 = ishelper(666)
trans = addalpha
alpha = 128,128
ignorehitpause = 1

[State -1, Turn]
type = turn
trigger1 = ishelper(666)
trigger1 = time < 3
trigger1 = p2dist X < 0
ignorehitpause = 1

[State -1, Invincible]
type = nothitby
trigger1 = ishelper(666)
value = SCA, AA, AT, AP
ignorehitpause = 1

[State -1, Die]
type = destroyself
triggerall = ishelper(666)
trigger1 = var(0) = 39
ignorehitpause = 1

[State -1, Helper]
type = varset
triggerall = ishelper(666)
trigger1 = var(0) = 0
var(0) = 45
ignorehitpause = 1

[State -1, Move Selector]
type = varadd
triggerall = ishelper(666)
trigger1 = stateno = 0
trigger2 = stateno = 11
trigger3 = stateno = [20,21]
trigger4 = stateno = 40
var(0) = -1
ignorehitpause = 1

[State -1, Move]
type = changestate
triggerall = ishelper(666)
trigger1 = stateno = 0
trigger2 = stateno = 11
trigger3 = stateno = [20,21]
trigger4 = stateno = 40
value = root,var(var(0))
ignorehitpause = 1


;---------------------------------------------------------------------------
;Quantum Doubler
[State -1, Quantum Doubler]
type = Changestate
value = 3500
triggerall = power >= 1000
triggerall = statetype != A
triggerall = command = "Quantum Doubler"
triggerall = numhelper(666) = 0
trigger1 = ctrl
trigger2 = movecontact
trigger2 = hitdefattr = SC, NA

;---------------------------------------------------------------------------
;Stasis Activator
[State -1, Stasis Activator]
type = Changestate
value = 3050
triggerall = !ishelper(666)
triggerall = statetype != A
triggerall = command = "Stasis Activator"
triggerall = numhelper(50) = 0
trigger1 = ctrl
trigger2 = movecontact
trigger2 = hitdefattr = SC, NA

;---------------------------------------------------------------------------
;Small Scale Teleportation
[State -1, Small Scale Teleportation]
type = Changestate
value = 3000
triggerall = !ishelper(666)
triggerall = statetype != A
triggerall = command = "Small Scale Teleportation"
trigger1 = ctrl
trigger2 = movecontact
trigger2 = hitdefattr = SC, NA

;---------------------------------------------------------------------------
;Matter Phasing
[State -1, Matter Phasing]
type = Changestate
value = 3100
triggerall = !ishelper(666)
triggerall = command = "Matter Phasing"
trigger1 = ctrl
trigger2 = movecontact
trigger2 = hitdefattr = SCA, NA

;---------------------------------------------------------------------------
;Matter Phasing
[State -1, Matter Phasing]
type = Changestate
value = 3102
triggerall = !ishelper(666)
triggerall = command = "Matter Phasing2"
trigger1 = ctrl
trigger2 = movecontact
trigger2 = hitdefattr = SCA, NA

;---------------------------------------------------------------------------
;Jab
[State -1, Jab]
type = Changestate
value = 200
triggerall = command != "holddown"
triggerall = statetype != A
triggerall = ctrl
trigger1 = command = "x"

;---------------------------------------------------------------------------
;Fierce
[State -1, Fierce]
type = Changestate
value = 210
triggerall = command != "holddown"
triggerall = statetype != A
triggerall = command = "y"
trigger1 = ctrl

;---------------------------------------------------------------------------
;Knee
[State -1, Knee]
type = Changestate
value = 250
triggerall = command != "holddown"
triggerall = command = "holdfwd"
triggerall = statetype != A
triggerall = ctrl
trigger1 = command = "a"

;---------------------------------------------------------------------------
;Short
[State -1, Short]
type = Changestate
value = 230
triggerall = command != "holddown"
triggerall = statetype != A
triggerall = ctrl
trigger1 = command = "a"

;---------------------------------------------------------------------------
;Roundhouse
[State -1, Roundhouse]
type = Changestate
value = 240
triggerall = command != "holddown"
triggerall = statetype != A
triggerall = ctrl
trigger1 = command = "b"

;---------------------------------------------------------------------------
;C.Jab
[State -1, C.Jab]
type = Changestate
value = 400
triggerall = command = "holddown"
triggerall = statetype != A
triggerall = ctrl
trigger1 = command = "x"

;---------------------------------------------------------------------------
;C.Fierce
[State -1, C.Fierce]
type = Changestate
value = 410
triggerall = command = "holddown"
triggerall = statetype != A
triggerall = ctrl
trigger1 = command = "y"

;---------------------------------------------------------------------------
;C.Short
[State -1, C.Short]
type = Changestate
value = 430
triggerall = command = "holddown"
triggerall = statetype != A
triggerall = ctrl
trigger1 = command = "a"

;---------------------------------------------------------------------------
;C.Roundhouse
[State -1, C.Roundhouse]
type = Changestate
value = 440
triggerall = command = "holddown"
triggerall = statetype != A
triggerall = ctrl
trigger1 = command = "b"

;---------------------------------------------------------------------------
;J.Fierce
[State -1, J.Fierce]
type = Changestate
value = 600
triggerall = statetype = A
triggerall = ctrl
trigger1 = command = "y"
trigger2 = command = "x"

;---------------------------------------------------------------------------
;J.Roundhouse
[State -1, J.Roundhouse]
type = Changestate
value = 630
triggerall = statetype = A
triggerall = ctrl
trigger1 = command = "b"
trigger2 = command = "a"